Package voltage.core

# Class VoltageMouseKeyFlags

java.lang.Object
voltage.core.VoltageMouseKeyFlags

public class VoltageMouseKeyFlags extends Object
VoltageMouseKeyFlags provides information about which keys were pressed and mouse buttons were down during a given mouse event. A VoltageMouseKeyFlags object gets passed as the 'object' parameter to Notify() in mouse notifications (Object_MouseMove, Object_LeftButtonDown, etc.)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageMouseKeyFlags(int inFlags)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `IsAltKeyDown()`
  Returns true if the alt key is down.
  `boolean`
  `IsCommandDown()`
  Returns true if the ctrl key is down (on Windows) or the command key is down (on Mac).
  `boolean`
  `IsCtrlKeyDown()`
  Returns true if the ctrl key is down.
  `boolean`
  `IsLeftButtonDown()`
  Returns true if the left mouse button is down.
  `boolean`
  `IsMiddleButtonDown()`
  Returns true if the middle mouse button is down.
  `boolean`
  `IsRightButtonDown()`
  Returns true if the right mouse button is down.
  `boolean`
  `IsShiftKeyDown()`
  Returns true if the shift key is down.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageMouseKeyFlags

    public VoltageMouseKeyFlags(int inFlags)

- ## Method Details

  - ### IsShiftKeyDown

    public boolean IsShiftKeyDown()
    Returns true if the shift key is down.
    Returns:
      true/false.

  - ### IsCtrlKeyDown

    public boolean IsCtrlKeyDown()
    Returns true if the ctrl key is down.
    Returns:
      true/false.

  - ### IsAltKeyDown

    public boolean IsAltKeyDown()
    Returns true if the alt key is down.
    Returns:
      true/false.

  - ### IsCommandDown

    public boolean IsCommandDown()
    Returns true if the ctrl key is down (on Windows) or the command key is down (on Mac).
    Returns:
      true/false.

  - ### IsLeftButtonDown

    public boolean IsLeftButtonDown()
    Returns true if the left mouse button is down.
    Returns:
      true/false.

  - ### IsRightButtonDown

    public boolean IsRightButtonDown()
    Returns true if the right mouse button is down.
    Returns:
      true/false.

  - ### IsMiddleButtonDown

    public boolean IsMiddleButtonDown()
    Returns true if the middle mouse button is down.
    Returns:
      true/false.